## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSpiralState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the spiral mesh object. More...

`#include <imesh/spiral.h>`

Inheritance diagram for iSpiralState:

[legend]
List of all members.

## Public Member Functions

virtual float | GetClimbSpeed () const =0
| Get particle climb speed in spiral.
virtual int | GetParticleCount () const =0
| Get the number of particles.
virtual void | GetParticleSize (float &partwidth, float &partheight) const =0
| Get the size of the spiral particles.
virtual csTicks | GetParticleTime () const =0
| Get the time to live of particles, in msec.
virtual float | GetRadialSpeed () const =0
| Get particle radial speed in spiral.
virtual float | GetRotationSpeed () const =0
| Get particle rotation speed in spiral.
virtual const csVector3 & | GetSource () const =0
| Get the source for the particles.
virtual void | SetClimbSpeed (float speed)=0
| Set particle climb speed in spiral.
virtual void | SetParticleCount (int num)=0
| Set the number of particles to use.
virtual void | SetParticleSize (float partwidth, float partheight)=0
| Set the size of the spiral particles.
virtual void | SetParticleTime (csTicks ttl)=0
| Set the time to live for all particles, in msec.
virtual void | SetRadialSpeed (float speed)=0
| Set particle radial speed in spiral.
virtual void | SetRotationSpeed (float speed)=0
| Set particle rotation speed in spiral.
virtual void | SetSource (const csVector3 &source)=0
| Set the source for the particles.

## Detailed Description

This interface describes the API for the spiral mesh object.

Definition at line 40 of file spiral.h.

## Member Function Documentation

virtual float iSpiralState::GetClimbSpeed | ( |  | ) | const`[pure virtual]`

| Get particle climb speed in spiral.

virtual int iSpiralState::GetParticleCount | ( |  | ) | const`[pure virtual]`

| Get the number of particles.

virtual void iSpiralState::GetParticleSize | ( | float & | partwidth,
|  | float & | partheight
| ) | const`[pure virtual]`

| Get the size of the spiral particles.

virtual csTicks iSpiralState::GetParticleTime | ( |  | ) | const`[pure virtual]`

| Get the time to live of particles, in msec.

virtual float iSpiralState::GetRadialSpeed | ( |  | ) | const`[pure virtual]`

| Get particle radial speed in spiral.

virtual float iSpiralState::GetRotationSpeed | ( |  | ) | const`[pure virtual]`

| Get particle rotation speed in spiral.

virtual const csVector3& iSpiralState::GetSource | ( |  | ) | const`[pure virtual]`

| Get the source for the particles.

virtual void iSpiralState::SetClimbSpeed | ( | float | speed | ) | `[pure virtual]`

| Set particle climb speed in spiral.

virtual void iSpiralState::SetParticleCount | ( | int | num | ) | `[pure virtual]`

| Set the number of particles to use.

virtual void iSpiralState::SetParticleSize | ( | float | partwidth,
|  | float | partheight
| ) | `[pure virtual]`

| Set the size of the spiral particles.

virtual void iSpiralState::SetParticleTime | ( | csTicks | ttl | ) | `[pure virtual]`

| Set the time to live for all particles, in msec.

virtual void iSpiralState::SetRadialSpeed | ( | float | speed | ) | `[pure virtual]`

| Set particle radial speed in spiral.

virtual void iSpiralState::SetRotationSpeed | ( | float | speed | ) | `[pure virtual]`

| Set particle rotation speed in spiral.

virtual void iSpiralState::SetSource | ( | const csVector3 & | source | ) | `[pure virtual]`

| Set the source for the particles.

The documentation for this struct was generated from the following file:

- imesh/spiral.h